[ Identification | Description | Input parameters | Output parameters | Links ]

# The `DivPos_monitor` Component

Divergence/position monitor (acceptance diagram).

## Identification

- Author: Kristian Nielsen
- Origin: Risoe
- Date: 1999
- Version: 1.17

## Description

    2D detector for intensity as a function of both horizontal position
    and wavelength. This gives information similar to an aceptance diagram used
    eg. to investigate beam profiles in neutron guides.

    Example: DivPos_monitor(npos=20, ndiv=20, filename="Output.dip",
              xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1, maxdiv=2)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
npos | 1 | Number of bins in position | 20
ndiv | 1 | Number of bins in divergence | 20
filename | string | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
maxdiv | degrees | Maximal horizontal divergence detected | 2

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
Div_N | - | Array of neutron counts |
Div_p | - | Array of neutron weight counts |
Div_p2 | - | Array of second moments |

## Links

- Source code for `DivPos_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]